node-red-node-cf-sqldb
=========================
[Node-RED](http://nodered.org) nodes to work with a database 
in a SQLDB or dashDB service that is integrated with
[IBM Bluemix](http://bluemix.net).

Install
-------
Install from [npm](http://npmjs.org)
```
npm install node-red-nodes-cf-sqldb-dashdb
```

Usage
-----
This package contains 4 nodes -- two pairs of nodes for each of SQLDB and dashDB services.  The node pairs work almost identically, so the documentation contained here
applies to both.  For each service, a query and an output node is provided.  The query nodes let you issue a query against
your SQLDB or dashDB service and pass along the result set in the msg object.  The output nodes store elements from the msg object
into your SQLDB or dashDB service database.


Query node usage:
-----------------

You will need to fill in the following fields:

-- Service should point to your SQLDB or dashDB service.

-- Query is the SQL select query you wish to execute on your dashDB service database.  

These fields are optional:

-- Parameter Markers is a comma delimited set of json paths.  These will replace any question
marks that you place in your SQL query, in the order that they appear.

-- Name: Optionally give your node a name

The results of your query will be returned as a JSON array in msg.sqldb or msg.dashdb.


Output node usage:
------------------

You will need to fill in the following fields:

-- Service should point to your SQLDB or dashDB service.

-- Table should point to the table you wish to insert the values into.
This table needs to exist already in the database and needs to contain the
same number of columns that you are inserting through this node. The data
types and the order of the columns also have to match. The data needs to be
in the format accepted by DB2 and within the appropriate ranges/parameters
for that datatype.

-- Values takes a comma delimited set of JSON paths from the msg object.
These are the values that will be inserted into your table, in the order that
they appear.Note that the data needs to be in the format accepted by DB2 and
within the appropriate ranges/parameters for that datatype.
By default, it writes the msg.payload, which would require your
table to have a varchar column big enough to store it.
Example values field - inserts values from twitter and sentiment nodes:
<ul><li>msg.tweet.user.screen_name,msg.payload,msg.sentiment.score,msg.location</li></ul>

The following fields are optional:

-- Checkbox for timestamp: If you wish, select the checkbox, and
the node will automatically insert a timestamp as the first argument inserted
into your table.You do not need to specify this again in the Values field.
If you choose this option, your table will need to have a timestamp created as
the first column.

-- Name: Optionally give your node a name, otherwise the default will be the table name.


Authors
-------
* Steven Chamberlin - [smc2@us.ibm.com](mailto:smc2@us.ibm.com)
* Nicholas Vargas 
